/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.consumer;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 *
 * @author Daniel Cavalcanti
 */
public class ResultMessage
    implements Serializable {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    /**
     * The message.
     */
    protected byte[] message;
    
    /**
     * The message signature.
     */
    protected String signature;
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of ResultMessage
     */
    public ResultMessage() {
    }
    
    /**
     * Creates a new instance of ResultMessage
     *
     * @param message The message.
     * @param signature The message signature.
     */
    public ResultMessage(byte[] message, String signature) {
        this.message = message;
        this.signature = signature;
    }
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Gets the value of the message property.
     *
     * @return The value of the message property.
     */
    public byte[] getMessage() {
        return message;
    }
    
    /**
     * Sets the value of the message property.
     *
     * @param value The value of the message property.
     */
    public void setMessage(byte[] value) {
        this.message = value;
    }
    
    /**
     * Gets the value of the signature property.
     *
     * @return The value of the signature property.
     */
    public String getSignature() {
        return signature;
    }
    
    /**
     * Sets the value of the signature property.
     *
     * @param value The value of the signature property.
     */
    public void setSignature(String value) {
        this.signature = value;
    }
    
    /**
     * Returns the message encapsulated in a String object.
     *
     * @return The message encapsulated in a String object.
     */
    public String toString() {
        return new String(message);
    }
    
}
